Page MenuHomePhabricator

Allow sysop to grant transwiki-rights on nnwiki
Closed, ResolvedPublic

Description

Please enable sysops to grant transwiki-rights, and bureaucrats to remove them on Norwegian (nynorsk) Wikipedia (nnwiki).

The changes in InitaliseSettings.php should be to add 'transwiki' for sysop in wgAddGroups and to add 'transwiki' for bureucrat in wgRemoveGroups.

Also make an entry for import sources (modelled after nowiki)

'nnwiki' => [ 's:no', 'q', 'no', 'da', 'sv', 'nl', 'en', 'de' ],

Details

Related Gerrit Patches:

Event Timeline

jeblad created this task.Sep 1 2019, 8:34 PM
Restricted Application added subscribers: jhsoby, Aklapper. · View Herald TranscriptSep 1 2019, 8:34 PM
jeblad changed the task status from Open to Stalled.Sep 1 2019, 8:34 PM
jeblad updated the task description. (Show Details)

Hold the execution until discussion is finished at w:nn:Wikipedia:Samfunnshuset#Slå på transwiki.

Restricted Application added a project: User-DannyS712. · View Herald TranscriptSep 1 2019, 8:37 PM
Urbanecm removed DannyS712 as the assignee of this task.Sep 1 2019, 10:01 PM
Urbanecm triaged this task as Low priority.
Urbanecm added subscribers: DannyS712, Urbanecm.

@jeblad: Thanks for requesting, but could I ask you to request when you have an estabilished consensus rather than before? It means sysadmins

@DannyS712: Thanks for claiming, however, adding Community-consensus-needed, unassigning you (nothing actionable atm) and if I notice ping "discussion is done" earlier than you, I might wonder "well he plans to work on that". I don't think there should be assignments before anything is actionable.

DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Sep 1 2019, 10:06 PM
jeblad added a comment.Sep 2 2019, 3:10 PM

@Urbanecm and @DannyS712, community consensus is only formal, I doubt it will be anyone against. I should have tagged with Community-consensus-needed, and not only "stalled" while waiting for formal consensus.

Yes and no, I'll veto any request, using my authority as a system administrator, to do change that was community-initiated, but without demonstrated community consensus, to avoid the community saying I did something they didn't want. While it might sound like a formality, I'm not active at your wiki, just know how (and am able) to make this change, so I can't assume anything, regardless how much sense it might make. I hope you can understand. This is not meant to be personal, just explaining what and why would I do should there be no demonstrable consensus.

jeblad added a comment.Sep 3 2019, 2:40 AM

@Urbanecm I'm not sure what you are saying, do you say you veto a request from nnwiki? Note that the task is and was clearly marked as stalled on community consensus. The community asked for help, and this turned up as an issue, but if there is a problem just say so and I close the task and move on.

No, I say I would do so if there was no demonstranted consensus (within some time) ;). I wanted to comment on your statement "consensus is formality", that's all. This is fine to implement, if community wants it. Sorry for not being clear.

jhsoby updated the task description. (Show Details)Thu, Oct 17, 8:23 AM

Change 543796 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Allow sysops to add transwiki on nnwiki, and add import sources

https://gerrit.wikimedia.org/r/543796

jhsoby changed the task status from Stalled to Open.Thu, Oct 17, 8:41 AM
jhsoby claimed this task.

There have been no objections in more than a month, so I think this is good to go. I'll add it to the European mid-day SWAT.

Change 543796 merged by jenkins-bot:
[operations/mediawiki-config@master] Allow sysops to add transwiki on nnwiki, and add import sources

https://gerrit.wikimedia.org/r/543796

Mentioned in SAL (#wikimedia-operations) [2019-10-17T11:11:00Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 36d4612: Allow sysops to add transwiki on nnwiki, and add import sources (T231761) (duration: 00m 59s)

jhsoby closed this task as Resolved.Thu, Oct 17, 11:12 AM